Name:           tclap
Version:        1.2.1
Release:        1%{?dist}
Summary:        Templatized command-line argument parser for C++
URL:            http://tclap.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License:        MIT
Group:          System Environment/Libraries
BuildArch:      noarch
BuildRequires:  dos2unix graphviz doxygen

%description
TCLAP is a small, flexible library that provides a simple interface
for defining and accessing command line arguments. It was initially
inspired by the user friendly CLAP library. The difference is that this
library is templatized, so the argument class is type
independent. Type independence avoids identical-except-for-type
objects, such as IntArg, FloatArg, and StringArg. While the library is
not strictly compliant with the GNU or POSIX standards, it is close.

%package devel
Summary:        Development files for tclap
Group:          Development/Libraries
Requires:       tclap = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files for the tclap library.

%package doc
Summary:        Documentation and examples for tclap
Group:          Development/Libraries
Requires:       tclap = %{version}-%{release}

%description doc
Documentation and examples for the tclap library.

%prep
%setup -q
dos2unix docs/style.css

%build
./configure
cd docs
make all

%check
make CFLAGS="%{optflags}" %{?_smp_mflags} check-recursive

%install
mkdir -p %{buildroot}%{_includedir}/%{name}
install -m 644 include/%{name}/*.h %{buildroot}%{_includedir}/%{name}/

# noarch pkgconfig files go in /usr/share/pkgconfig
# Fedora-packaging list thread "Packaging a noarch pkgconfig library?"
# message from Ralf Corsepius on 29-MAR-2010:
# http://lists.fedoraproject.org/pipermail/packaging/2010-March/006982.html
mkdir -p %{buildroot}%{_datadir}/pkgconfig
install -m 644 %{name}.pc %{buildroot}%{_datadir}/pkgconfig/

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/html
install -m 644 docs/*.xml docs/*.html docs/*.css \
        %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 docs/html/*.{html,png,gif,css,map} \
        %{buildroot}%{_docdir}/%{name}-%{version}/html

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/examples
install -m 644 examples/*.cpp \
        %{buildroot}%{_docdir}/%{name}-%{version}/examples

%files devel
%doc COPYING README NEWS AUTHORS ChangeLog
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc

%files doc
%{_docdir}/%{name}-%{version}/*.xml
%{_docdir}/%{name}-%{version}/*.html
%{_docdir}/%{name}-%{version}/*.css
%{_docdir}/%{name}-%{version}/html/
%{_docdir}/%{name}-%{version}/examples/

%changelog
* Sat Dec 03 2011 Eric Smith <eric@brouhaha.com> - 1.2.1-1
- Initial version
